image: alpine:latest

before_script:
- apk update
- apk add coreutils

pages:
  stage: deploy
  script:
  - echo '<link rel="stylesheet" href="/style.css" />' > index.html
  - echo "<a href=\"..\">..</a>" >> index.html
  - ls | sort | while read file; do echo "<a href=\"$file\">$file</a>" >> index.html; done
  - mkdir .public
  - mv * .public/
  - mv -T .public public
  artifacts:
    paths:
    - public
  only:
  - master
